Get an AWS Account Integration Config by config ID.
This endpoint requires the aws_configuration_read permission.
Arguments
Path Parameters
Name
Type
Description
aws_account_config_id [required]
string
Unique Datadog ID of the AWS Account Integration Config. To get the config ID for an account, use the
List all AWS integrations
endpoint and query by AWS Account ID.
Tags to apply to all hosts and metrics reporting for this account. Defaults to [].
auth_config
<oneOf>
AWS Authentication config.
Option 1
object
AWS Authentication config to integrate your account using an access key pair.
access_key_id [required]
string
AWS Access Key ID.
secret_access_key
string
AWS Secret Access Key.
Option 2
object
AWS Authentication config to integrate your account using an IAM role.
external_id
string
AWS IAM External ID for associated role.
role_name [required]
string
AWS IAM Role name.
aws_account_id [required]
string
AWS Account ID.
aws_partition
enum
AWS partition your AWS account is scoped to. Defaults to aws.
See Partitions
in the AWS documentation for more information.
Allowed enum values: aws,aws-cn,aws-us-gov
aws_regions
<oneOf>
AWS Regions to collect data from. Defaults to include_all.
Option 1
object
Include all regions. Defaults to true.
include_all [required]
boolean
Include all regions.
Option 2
object
Include only these regions.
include_only [required]
[string]
Include only these regions.
created_at
date-time
Timestamp of when the account integration was created.
logs_config
object
AWS Logs Collection config.
lambda_forwarder
object
Log Autosubscription configuration for Datadog Forwarder Lambda functions.
Automatically set up triggers for existing and new logs for some services,
ensuring no logs from new resources are missed and saving time spent on manual configuration.
lambdas
[string]
List of Datadog Lambda Log Forwarder ARNs in your AWS account. Defaults to [].
log_source_config
object
Log source configuration.
tag_filters
[object]
List of AWS log source tag filters. Defaults to [].
source
string
The AWS log source to which the tag filters defined in tags are applied.
tags
[string]
The AWS resource tags to filter on for the log source specified by source.
sources
[string]
List of service IDs set to enable automatic log collection.
Discover the list of available services with the
Get list of AWS log ready
services
endpoint.
metrics_config
object
AWS Metrics Collection config.
automute_enabled
boolean
Enable EC2 automute for AWS metrics. Defaults to true.
collect_cloudwatch_alarms
boolean
Enable CloudWatch alarms collection. Defaults to false.
collect_custom_metrics
boolean
Enable custom metrics collection. Defaults to false.
enabled
boolean
Enable AWS metrics collection. Defaults to true.
namespace_filters
<oneOf>
AWS Metrics namespace filters. Defaults to exclude_only.
Option 1
object
Exclude only these namespaces from metrics collection.
Defaults to ["AWS/SQS", "AWS/ElasticMapReduce", "AWS/Usage"].
AWS/SQS, AWS/ElasticMapReduce, and AWS/Usage are excluded by default
to reduce your AWS CloudWatch costs from GetMetricData API calls.
exclude_only [required]
[string]
Exclude only these namespaces from metrics collection.
Defaults to ["AWS/SQS", "AWS/ElasticMapReduce", "AWS/Usage"].
AWS/SQS, AWS/ElasticMapReduce, and AWS/Usage are excluded by default
to reduce your AWS CloudWatch costs from GetMetricData API calls.
Option 2
object
Include only these namespaces.
include_only [required]
[string]
Include only these namespaces.
tag_filters
[object]
AWS Metrics collection tag filters list. Defaults to [].
namespace
string
The AWS service for which the tag filters defined in tags will be applied.
tags
[string]
The AWS resource tags to filter on for the service specified by namespace.
modified_at
date-time
Timestamp of when the account integration was updated.
resources_config
object
AWS Resources Collection config.
cloud_security_posture_management_collection
boolean
Enable Cloud Security Management to scan AWS resources for vulnerabilities, misconfigurations,
identity risks, and compliance violations. Defaults to false.
Requires extended_collection to be set to true.
extended_collection
boolean
Whether Datadog collects additional attributes and configuration information about the resources
in your AWS account. Defaults to true. Required for cloud_security_posture_management_collection.
traces_config
object
AWS Traces Collection config.
xray_services
<oneOf>
AWS X-Ray services to collect traces from. Defaults to include_only.
Option 1
object
Include all services.
include_all [required]
boolean
Include all services.
Option 2
object
Include only these services. Defaults to [].
include_only [required]
[string]
Include only these services.
id [required]
string
Unique Datadog ID of the AWS Account Integration Config.
To get the config ID for an account, use the
List all AWS integrations
endpoint and query by AWS Account ID.
"""
Get an AWS integration by config ID returns "AWS Account object" response
"""fromosimportenvironfromdatadog_api_clientimportApiClient,Configurationfromdatadog_api_client.v2.api.aws_integration_apiimportAWSIntegrationApi# there is a valid "aws_account_v2" in the systemAWS_ACCOUNT_V2_DATA_ID=environ["AWS_ACCOUNT_V2_DATA_ID"]configuration=Configuration()withApiClient(configuration)asapi_client:api_instance=AWSIntegrationApi(api_client)response=api_instance.get_aws_account(aws_account_config_id=AWS_ACCOUNT_V2_DATA_ID,)print(response)
# Get an AWS integration by config ID returns "AWS Account object" responserequire"datadog_api_client"api_instance=DatadogAPIClient::V2::AWSIntegrationAPI.new# there is a valid "aws_account_v2" in the systemAWS_ACCOUNT_V2_DATA_ID=ENV["AWS_ACCOUNT_V2_DATA_ID"]papi_instance.get_aws_account(AWS_ACCOUNT_V2_DATA_ID)
// Get an AWS integration by config ID returns "AWS Account object" responsepackagemainimport("context""encoding/json""fmt""os""github.com/DataDog/datadog-api-client-go/v2/api/datadog""github.com/DataDog/datadog-api-client-go/v2/api/datadogV2")funcmain(){// there is a valid "aws_account_v2" in the systemAwsAccountV2DataID:=os.Getenv("AWS_ACCOUNT_V2_DATA_ID")ctx:=datadog.NewDefaultContext(context.Background())configuration:=datadog.NewConfiguration()apiClient:=datadog.NewAPIClient(configuration)api:=datadogV2.NewAWSIntegrationApi(apiClient)resp,r,err:=api.GetAWSAccount(ctx,AwsAccountV2DataID)iferr!=nil{fmt.Fprintf(os.Stderr,"Error when calling `AWSIntegrationApi.GetAWSAccount`: %v\n",err)fmt.Fprintf(os.Stderr,"Full HTTP response: %v\n",r)}responseContent,_:=json.MarshalIndent(resp,""," ")fmt.Fprintf(os.Stdout,"Response from `AWSIntegrationApi.GetAWSAccount`:\n%s\n",responseContent)}
// Get an AWS integration by config ID returns "AWS Account object" responseimportcom.datadog.api.client.ApiClient;importcom.datadog.api.client.ApiException;importcom.datadog.api.client.v2.api.AwsIntegrationApi;importcom.datadog.api.client.v2.model.AWSAccountResponse;publicclassExample{publicstaticvoidmain(String[]args){ApiClientdefaultClient=ApiClient.getDefaultApiClient();AwsIntegrationApiapiInstance=newAwsIntegrationApi(defaultClient);// there is a valid "aws_account_v2" in the systemStringAWS_ACCOUNT_V2_DATA_ID=System.getenv("AWS_ACCOUNT_V2_DATA_ID");try{AWSAccountResponseresult=apiInstance.getAWSAccount(AWS_ACCOUNT_V2_DATA_ID);System.out.println(result);}catch(ApiExceptione){System.err.println("Exception when calling AwsIntegrationApi#getAWSAccount");System.err.println("Status code: "+e.getCode());System.err.println("Reason: "+e.getResponseBody());System.err.println("Response headers: "+e.getResponseHeaders());e.printStackTrace();}}}
// Get an AWS integration by config ID returns "AWS Account object" response
usedatadog_api_client::datadog;usedatadog_api_client::datadogV2::api_aws_integration::AWSIntegrationAPI;#[tokio::main]asyncfnmain(){// there is a valid "aws_account_v2" in the system
letaws_account_v2_data_id=std::env::var("AWS_ACCOUNT_V2_DATA_ID").unwrap();letconfiguration=datadog::Configuration::new();letapi=AWSIntegrationAPI::with_config(configuration);letresp=api.get_aws_account(aws_account_v2_data_id.clone()).await;ifletOk(value)=resp{println!("{:#?}",value);}else{println!("{:#?}",resp.unwrap_err());}}
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_API_KEY="<API-KEY>"DD_APP_KEY="<APP-KEY>"cargo run
/**
* Get an AWS integration by config ID returns "AWS Account object" response
*/import{client,v2}from"@datadog/datadog-api-client";constconfiguration=client.createConfiguration();constapiInstance=newv2.AWSIntegrationApi(configuration);// there is a valid "aws_account_v2" in the system
constAWS_ACCOUNT_V2_DATA_ID=process.env.AWS_ACCOUNT_V2_DATA_IDasstring;constparams: v2.AWSIntegrationApiGetAWSAccountRequest={awsAccountConfigId: AWS_ACCOUNT_V2_DATA_ID,};apiInstance.getAWSAccount(params).then((data: v2.AWSAccountResponse)=>{console.log("API called successfully. Returned data: "+JSON.stringify(data));}).catch((error: any)=>console.error(error));